Package org.apache.avro.idl

# Class IdlUtils

java.lang.Object
org.apache.avro.idl.IdlUtils

public final class IdlUtils extends Object
Utils for IDL

## Method Summary

Modifier and Type
Method
Description
`static <T> T`
`uncheckExceptions(Callable<T> callable)`
Calls the given callable, wrapping any checked exception in an `AvroRuntimeException`.
`static void`
`writeIdlProtocol(Writer writer, org.apache.avro.JsonProperties properties, String protocolNameSpace, String protocolName, Collection<org.apache.avro.Schema> schemas, Collection<org.apache.avro.Protocol.Message> messages)`
`static void`
`writeIdlProtocol(Writer writer, org.apache.avro.Protocol protocol)`
`static void`
`writeIdlProtocol(Writer writer, org.apache.avro.Schema schema)`
`static void`
`writeIdlSchema(Writer writer, org.apache.avro.Schema schema)`
`static void`
`writeIdlSchemas(Writer writer, String namespace, Collection<org.apache.avro.Schema> schemas)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### uncheckExceptions

public static <T> T uncheckExceptions(Callable<T> callable)
Calls the given callable, wrapping any checked exception in an `AvroRuntimeException`.

Parameters:
  `callable` - the callable to call
Returns:
  the result of the callable

### writeIdlSchema

public static void writeIdlSchema(Writer writer, org.apache.avro.Schema schema) throws IOException

Throws:
  `IOException`

### writeIdlSchemas

public static void writeIdlSchemas(Writer writer, String namespace, Collection<org.apache.avro.Schema> schemas) throws IOException

Throws:
  `IOException`

### writeIdlProtocol

public static void writeIdlProtocol(Writer writer, org.apache.avro.Protocol protocol) throws IOException

Throws:
  `IOException`

### writeIdlProtocol

public static void writeIdlProtocol(Writer writer, org.apache.avro.Schema schema) throws IOException

Throws:
  `IOException`

### writeIdlProtocol

public static void writeIdlProtocol(Writer writer, org.apache.avro.JsonProperties properties, String protocolNameSpace, String protocolName, Collection<org.apache.avro.Schema> schemas, Collection<org.apache.avro.Protocol.Message> messages) throws IOException

Throws:
  `IOException`